# Generated by Django 4.1.4 on 2023-01-02 10:08

from django.db import migrations


def ensure_no_malformed_inquiries_exist(apps, schema_editor):
    MalformedInquiry = apps.get_model("volunteers", "MalformedInquiry")
    if MalformedInquiry.objects.exists():
        raise Exception(
            "MalformedInquiry found, cannot drop table. Resolve it before migrating"
        )


class Migration(migrations.Migration):
    dependencies = [
        ("volunteers", "0031_rankrelateddocuments"),
    ]

    operations = [
        migrations.RunPython(ensure_no_malformed_inquiries_exist),
        migrations.DeleteModel(
            name="MalformedInquiry",
        ),
    ]
